#mushroom
#give @a[scores={mushroom=1..}] brown_mushroom 1
#execute as @a[scores={mushroom=1..}] run scoreboard objectives remove mushroom

execute at @e[tag=mushroom] if block ~ ~ ~ minecraft:brown_mushroom run scoreboard players set @e[sort=nearest,limit=1] mushroom 0
execute at @e[tag=mushroom] if block ~ ~ ~ minecraft:air run scoreboard players set @e[sort=nearest,limit=1] mushroom 1

execute at @e[tag=mushroom,scores={mushroom=1..}] run give @p[scores={playing=1..}] brown_mushroom
execute at @e[tag=mushroom,scores={mushroom=1..}] run scoreboard objectives remove mushroom

#vault room particles
execute at @e[scores={scene=16..},tag=controller] at @p[scores={playing=1..}] as @e[tag=vlh] at @s run particle dust 1 0 0 1 ~ ~ ~ 0.01 0.01 1.2 0 20 force @a
execute at @e[scores={scene=16..},tag=controller] at @p[scores={playing=1..}] as @e[tag=vlv] at @s run particle dust 1 0 0 1 ~ ~ ~ 0.01 1.2 0.01 0 20 force @a
execute at @e[scores={scene=16..},tag=controller] at @p[scores={playing=1..}] as @e[scores={jump=0},tag=vaultLaser] at @s run teleport ~0.1 ~ ~
execute at @e[scores={scene=16..},tag=controller] at @p[scores={playing=1..}] as @e[scores={jump=1},tag=vaultLaser] at @s run teleport ~-0.1 ~ ~
execute at @e[scores={scene=16..},tag=controller] at @p[scores={playing=1..}] as @e[x=1322,y=5,z=-767,dx=0,dy=5,dz=4,scores={jump=0},tag=vaultLaser] at @s run scoreboard players set @s jump 1
execute at @e[scores={scene=16..},tag=controller] at @p[scores={playing=1..}] as @e[x=1311,y=5,z=-767,dx=0,dy=5,dz=4,scores={jump=1},tag=vaultLaser] at @s run scoreboard players set @s jump 0
execute at @e[scores={scene=16..},tag=controller] at @p[scores={playing=1..}] at @e[tag=vaultLaser] as @a[tag=!ghostSheet,distance=..1] at @s run playsound block.fire.extinguish master @p ~ ~ ~ 1000
execute at @e[scores={scene=16..},tag=controller] at @p[scores={playing=1..}] as @e[tag=vaultLaser] at @s run kill @a[tag=!ghostSheet,distance=..1]

#jump for gems
execute at @e[tag=jump] as @a[scores={jump=1..},distance=..1] at @s run scoreboard players add @s Gems 1
execute at @e[tag=jump] as @a[scores={jump=1..},distance=..1] at @s run playsound entity.slime.jump master @p ~ ~ ~ 1000
execute at @a[scores={jump=1..}] at @e[tag=jumpMore,limit=1,sort=nearest] as @a[scores={jump=1..},distance=..1] at @s run scoreboard players add @s Gems 10
execute at @e[tag=jumpMore] as @a[scores={jump=1..},distance=..1] at @s run playsound entity.slime.jump master @p ~ ~ ~ 1000
scoreboard players reset @a jump

execute as @e[scores={scene=16..},tag=controller] at @s as @e[tag=jumpMove] at @s run teleport ~ ~ ~-0.3
execute at @e[scores={scene=16..},tag=controller] at @e[tag=jumpStation] positioned ~ ~ ~-1 as @e[tag=jumpMove,distance=..1] at @s run teleport ~ ~ ~8
execute at @e[scores={scene=16..},tag=controller] as @e[tag=jumpMove] at @s positioned ~ ~-0.5 ~ run kill @a[distance=..1]
execute at @e[scores={scene=16..},tag=controller] as @e[tag=jumpMove] at @s run particle dust 1 0 0 1 ~ ~-0.5 ~ 0.3 0.01 0.01 0 5 force @a

#treadmill
execute at @e[scores={scene=16..},tag=controller] as @p[scores={playing=1..}] at @s as @e[tag=treadmill] at @s run teleport ~ ~ ~0.1
execute at @e[scores={scene=16..},tag=controller] at @p[scores={playing=1..}] as @e[tag=treadmillStop] at @s as @e[tag=treadmill,distance=..1] at @s run teleport ~ ~ ~-5
execute at @e[scores={scene=16..},tag=controller] at @p[scores={playing=1..}] as @e[tag=treadmill] at @s run particle sweep_attack ~ ~ ~ 0.45 0.01 0.01 0 10 force @a
tag @a remove run
tag @a[x=1300,y=4,z=-737,dx=2,dy=0,dz=4] add run
execute as @a[scores={run=200..},tag=run] run scoreboard players add @s Gems 1
scoreboard players reset @a[scores={run=200..}] run
scoreboard players reset @a[tag=!run] run

#jump code
execute at @e[scores={jumpCode=1..5},tag=controller] at @e[tag=jump4] as @p[scores={jumpCode=1..},distance=..1] at @s run scoreboard players set @e[tag=controller] jumpCode 0
execute at @e[scores={jumpCode=0},tag=controller] at @e[tag=jump4] as @p[scores={jumpCode=1..},distance=..1] at @s run scoreboard players add @e[tag=controller] jumpCode 1

execute at @e[scores={jumpCode=2..5},tag=controller] at @e[tag=jump1] as @p[scores={jumpCode=1..},distance=..1] at @s run scoreboard players set @e[tag=controller] jumpCode 0
execute at @e[scores={jumpCode=1},tag=controller] at @e[tag=jump1] as @p[scores={jumpCode=1..},distance=..1] at @s run scoreboard players add @e[tag=controller] jumpCode 1

execute at @e[scores={jumpCode=1},tag=controller] at @e[tag=jump3] as @p[scores={jumpCode=1..},distance=..1] at @s run scoreboard players set @e[tag=controller] jumpCode 0
execute at @e[scores={jumpCode=3..5},tag=controller] at @e[tag=jump3] as @p[scores={jumpCode=1..},distance=..1] at @s run scoreboard players set @e[tag=controller] jumpCode 0
execute at @e[scores={jumpCode=2},tag=controller] at @e[tag=jump3] as @p[scores={jumpCode=1..},distance=..1] at @s run scoreboard players add @e[tag=controller] jumpCode 1

execute at @e[scores={jumpCode=1..2},tag=controller] at @e[tag=jump6] as @p[scores={jumpCode=1..},distance=..1] at @s run scoreboard players set @e[tag=controller] jumpCode 0
execute at @e[scores={jumpCode=4..5},tag=controller] at @e[tag=jump6] as @p[scores={jumpCode=1..},distance=..1] at @s run scoreboard players set @e[tag=controller] jumpCode 0
execute at @e[scores={jumpCode=3},tag=controller] at @e[tag=jump6] as @p[scores={jumpCode=1..},distance=..1] at @s run scoreboard players add @e[tag=controller] jumpCode 1

execute at @e[scores={jumpCode=1..3},tag=controller] at @e[tag=jump5] as @p[scores={jumpCode=1..},distance=..1] at @s run scoreboard players set @e[tag=controller] jumpCode 0
execute at @e[scores={jumpCode=5},tag=controller] at @e[tag=jump5] as @p[scores={jumpCode=1..},distance=..1] at @s run scoreboard players set @e[tag=controller] jumpCode 0
execute at @e[scores={jumpCode=4},tag=controller] at @e[tag=jump5] as @p[scores={jumpCode=1..},distance=..1] at @s run scoreboard players add @e[tag=controller] jumpCode 1

execute at @e[scores={jumpCode=1..4},tag=controller] at @e[tag=jump2] as @p[scores={jumpCode=1..},distance=..1] at @s run scoreboard players set @e[tag=controller] jumpCode 0
execute at @e[scores={jumpCode=5},tag=controller] at @e[tag=jump2] as @p[scores={jumpCode=1..},distance=..1] at @s run scoreboard players add @e[tag=controller] jumpCode 1

#jump code complete
execute as @e[scores={jumpCode=6..},tag=controller] run setblock 1309 3 -765 redstone_torch
execute at @e[scores={jumpCode=6..},tag=controller] as @a at @s run playsound block.iron_door.open master @p ~ ~ ~ 1000
execute as @e[scores={jumpCode=6..},tag=controller] run tellraw @a [{"text":"Sounds like a door has been opened","color":"gray","italic":"true"}]
execute as @e[scores={jumpCode=6..},tag=controller] run teleport @e[tag=toby] 1310 5 -763
execute as @e[scores={jumpCode=6..},tag=controller] run scoreboard players set @e[tag=toby] extraScene 1
execute as @e[scores={jumpCode=6..},tag=controller] run scoreboard players set @e[tag=vaultLaser] jump 0
execute as @e[scores={jumpCode=6..},tag=controller] run scoreboard objectives remove jumpCode

scoreboard players reset @a jumpCode

#unlock more gems room
execute as @e[scores={scene=16..,unlock=0},tag=controller] at @s run particle dust 1 0 0 1 1315 4 -745 0.01 0.01 1 0 10 force @a
execute as @e[scores={scene=16..,unlock=0},tag=controller] at @s run particle dust 1 0 0 1 1315 5 -745 0.01 0.01 1 0 10 force @a
execute as @e[scores={scene=16..,unlock=0},tag=controller] at @s run particle dust 1 0 0 1 1315 6 -745 0.01 0.01 1 0 10 force @a
execute as @e[scores={scene=16..,unlock=0},tag=controller] at @s run particle dust 1 0 0 1 1315 5 -746 0.01 1.2 0.01 0 10 force @a
execute as @e[scores={scene=16..,unlock=0},tag=controller] at @s run particle dust 1 0 0 1 1315 5 -745 0.01 1.2 0.01 0 10 force @a
execute as @e[scores={scene=16..,unlock=0},tag=controller] at @s run particle dust 1 0 0 1 1315 5 -744 0.01 1.2 0.01 0 10 force @a
execute as @e[scores={scene=16..,unlock=0},tag=controller] at @s run tellraw @a[x=1315,y=4,z=-746,dx=0,dy=2,dz=2] [{"text":"You have not purchased access to this room!","color":"red"}]
execute at @e[scores={scene=16..,unlock=0},tag=controller] as @a[x=1315,y=4,z=-746,dx=0,dy=2,dz=2] at @s run playsound block.anvil.place master @p ~ ~ ~ 1000
execute at @e[scores={scene=16..,unlock=0},tag=controller] as @a[x=1315,y=4,z=-746,dx=0,dy=2,dz=2] at @s run playsound block.fire.extinguish master @p ~ ~ ~ 1000
execute as @e[scores={scene=16..,unlock=0},tag=controller] at @s run kill @a[x=1315,y=4,z=-746,dx=0,dy=2,dz=2]

execute as @a[scores={Gems=0..299,playing=1..,unlock=1..}] run tellraw @s [{"text":"You do not have enough Gems to unlock this room!","color":"red"}]
execute at @a[scores={Gems=0..299,playing=1..,unlock=1..}] as @a[scores={Gems=0..299,playing=1..,unlock=1..}] at @s run playsound block.anvil.place master @p ~ ~ ~ 1000
execute as @a[scores={Gems=0..299,playing=1..,unlock=1..}] run scoreboard players reset @a unlock

tellraw @a[scores={Gems=300..,playing=1..,unlock=1..}] [{"text":"-300 Gems","color":"dark_red"}]
execute as @a[scores={Gems=300..,playing=1..,unlock=1..}] run scoreboard players set @e[tag=controller] unlock 1
execute as @a[scores={Gems=300..,playing=1..,unlock=1..}] run setblock 1314 5 -743 air destroy
execute as @a[scores={Gems=300..,playing=1..,unlock=1..}] run setblock 1314 5 -747 air destroy
execute as @a[scores={Gems=300..,playing=1..,unlock=1..}] at @s run playsound entity.player.levelup master @p ~ ~ ~ 1000
execute as @a[scores={Gems=300..,playing=1..,unlock=1..}] at @s run function always:unlockgemroom



#dialogue

#wizard other dialogue
execute at @e[scores={scene=16},tag=controller] at @e[tag=wizard] as @a[scores={Gems=0..999999999,talk=1..999},distance=..5] at @s run tellraw @s [{"text":"Wizard: ","color":"dark_purple","bold":"true"},{"text":"Hello, prisoner, you're here for committing a crime, a crime called trespassing. If you want out, you'll have to raise ","color":"dark_purple","bold":"false"},{"text":"1,000,000,000 GEMS ","color":"green","bold":"true"},{"text":"to pay for your crime. Next time don't break into a random person's house without permission.","color":"dark_purple","bold":"false"}]
execute at @e[scores={scene=16},tag=controller] at @e[tag=wizard] at @a[scores={Gems=0..999999999,talk=1..999},distance=..5] as @a[scores={talk=1..999}] at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={scene=16},tag=controller] at @e[tag=wizard] at @a[scores={Gems=0..999999999,talk=1..999},distance=..5] run scoreboard players reset * talk

#wizard begin boss battle
execute at @e[scores={scene=16},tag=controller] at @e[tag=wizard] as @a[scores={Gems=1000000000..,talk=1..999},distance=..5] at @s run tellraw @a [{"text":"Wizard: ","color":"dark_purple","bold":"true"},{"text":"WHA- WHAAAAAAAAAAAAAAAAAAAAAT?!?!?! HOW'D YOU MANAGE TO GET","color":"dark_purple","bold":"false"},{"text":" 1,000,000,000 GEMS","color":"green","bold":"true"},{"text":"?!?!?! YYYYYOOOOOUUUUUUUU-","color":"dark_purple","bold":"false"}]
execute at @e[scores={scene=16},tag=controller] at @e[tag=wizard] as @a[scores={Gems=1000000000..,talk=1..999},distance=..5] at @s run scoreboard players set @e[tag=wizard] extraScene 4
execute at @e[scores={scene=16},tag=controller] at @e[tag=wizard] at @a[scores={Gems=1000000000..,talk=1..999},distance=..5] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={scene=16},tag=controller] at @e[tag=wizard] as @a[scores={Gems=1000000000..,talk=1..999},distance=..5] at @s run scoreboard players set @e[tag=wizard] timer 1
execute at @e[scores={scene=16},tag=controller] at @e[tag=wizard] as @a[scores={Gems=1000000000..,talk=1..999},distance=..5] at @s as @e[tag=wizard] run data merge entity @s {NoAI:1}
execute at @e[scores={scene=16},tag=controller] at @e[tag=wizard] at @a[scores={Gems=1000000000..,talk=1..999},distance=..5] as @e[tag=wizard] run teleport @e[tag=p1,limit=1] @p
execute at @e[scores={scene=16},tag=controller] at @e[tag=wizard] at @a[scores={Gems=1000000000..,talk=1..999},distance=..5] as @e[tag=wizard] run teleport @e[tag=p2,limit=1] @p
execute at @e[scores={scene=16},tag=controller] at @e[tag=wizard] at @a[scores={Gems=1000000000..,talk=1..999},distance=..5] as @e[tag=wizard] at @s run teleport @a[scores={playing=1..},distance=5..] @p

execute at @e[scores={scene=16},tag=controller] as @e[scores={extraScene=4,time=40},tag=wizard] at @s as @e[tag=wizard] at @s run teleport @s ~ ~ ~ 30 -90
execute at @e[scores={scene=16},tag=controller] at @e[scores={extraScene=4,time=40},tag=wizard] as @a at @s run playsound entity.iron_golem.hurt master @p ~ ~ ~ 1000
execute at @e[scores={scene=16},tag=controller] as @e[scores={extraScene=4,time=42},tag=wizard] at @s as @e[tag=wizard] at @s run teleport @s ~ ~ ~ -60 30
execute at @e[scores={scene=16},tag=controller] at @e[scores={extraScene=4,time=42},tag=wizard] as @a at @s run playsound entity.iron_golem.hurt master @p ~ ~ ~ 1000
execute at @e[scores={scene=16},tag=controller] as @e[scores={extraScene=4,time=44},tag=wizard] at @s as @e[tag=wizard] at @s run teleport @s ~ ~ ~ -180 -90
execute at @e[scores={scene=16},tag=controller] at @e[scores={extraScene=4,time=44},tag=wizard] as @a at @s run playsound entity.iron_golem.hurt master @p ~ ~ ~ 1000
execute at @e[scores={scene=16},tag=controller] as @e[scores={extraScene=4,time=46},tag=wizard] at @s as @e[tag=wizard] at @s run teleport @s ~ ~ ~ 10 -40
execute at @e[scores={scene=16},tag=controller] at @e[scores={extraScene=4,time=46},tag=wizard] as @a at @s run playsound entity.iron_golem.hurt master @p ~ ~ ~ 1000
execute at @e[scores={scene=16},tag=controller] as @e[scores={extraScene=4,time=48},tag=wizard] at @s as @e[tag=wizard] at @s run teleport @s ~ ~ ~ -70 20
execute at @e[scores={scene=16},tag=controller] at @e[scores={extraScene=4,time=48},tag=wizard] as @a at @s run playsound entity.iron_golem.hurt master @p ~ ~ ~ 1000
execute at @e[scores={scene=16},tag=controller] as @e[scores={extraScene=4,time=50},tag=wizard] at @s as @e[tag=wizard] at @s run teleport @s ~ ~ ~ 15 10
execute at @e[scores={scene=16},tag=controller] at @e[scores={extraScene=4,time=50},tag=wizard] as @a at @s run playsound entity.iron_golem.hurt master @p ~ ~ ~ 1000
execute as @e[scores={scene=16},tag=controller] as @e[scores={extraScene=4,time=50},tag=wizard] run scoreboard players add @e[tag=controller] redo 1
execute as @e[scores={scene=16},tag=controller] as @e[scores={extraScene=4,time=50},tag=wizard] as @e[scores={redo=0..12},tag=controller] run scoreboard players set @e[tag=wizard] time 38
execute at @e[scores={redo=8..12},tag=controller] as @e[tag=wizard] at @s positioned ~ ~1 ~ run particle portal ~ ~ ~ 0.4 0.1 0.4 0 10 force @a
execute at @e[scores={redo=8..12},tag=controller] as @a[scores={playing=1..}] at @s positioned ~ ~1 ~ run particle portal ~ ~ ~ 0.4 0.1 0.4 0 10 force @a

execute as @e[scores={redo=13..},tag=controller] run scoreboard objectives setdisplay sidebar
execute as @e[scores={redo=13..},tag=controller] run scoreboard players set @e[tag=controller] addScene 1
execute as @e[scores={redo=13..},tag=controller] at @s run function always:universal
execute as @e[scores={redo=13..},tag=controller] run spawnpoint @a[scores={playing=1..}] 1179 15 -882
execute as @e[scores={redo=13..},tag=controller] run teleport @e[tag=wizard] 1145 18 -880 -90 0
execute as @e[scores={redo=13..},tag=controller] run time set night
execute as @e[scores={redo=13..},tag=controller] run teleport @e[tag=p1,limit=1] 1171 15 -882 90 0
execute as @e[scores={redo=13..},tag=controller] run teleport @e[tag=p2,limit=1] 1171 15 -882 90 0
execute as @e[scores={redo=13..},tag=controller] run teleport @a[scores={playing=1..}] 1171 15 -882 90 0
execute at @e[scores={redo=13..},tag=controller] as @a at @s run playsound entity.enderman.teleport master @p ~ ~ ~ 1000
execute as @e[scores={redo=13..},tag=controller] run scoreboard players set @e[tag=controller] boss 1
execute as @e[scores={redo=13..},tag=controller] run tellraw @a [{"text":"Wizard: ","color":"dark_purple","bold":"true"},{"text":"If only you were smart and stayed in your cell...","color":"dark_purple","bold":"false"}]
execute at @e[scores={redo=13..},tag=controller] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute as @e[scores={redo=13..},tag=controller] as @e[tag=wizard] run data merge entity @s {NoAI:0,Attributes:[{Name:generic.maxHealth,Base:999}],Health:999}
execute as @e[scores={redo=13..},tag=controller] run scoreboard players set @e[tag=controller] timer 1
execute as @e[scores={redo=13..},tag=controller] run team leave @e[tag=wizard]
execute as @e[scores={redo=13..},tag=controller] run scoreboard objectives remove redo

#bobby
execute at @e[scores={scene=16..},tag=controller] at @p[scores={playing=1..}] as @e[tag=treadmillHold] at @s run teleport @e[tag=bobby,distance=2..] ~ ~ ~-2 0 0
execute as @e[scores={scene=16..},tag=controller] as @p[scores={playing=1..}] as @e[tag=bobby] run data merge entity @s {Motion:[0.0,0.0,0.8]}
execute at @e[scores={scene=16..},tag=controller] at @p[scores={playing=1..}] as @e[tag=bobby] at @s run playsound entity.player.attack.sweep master @a ~ ~ ~ 0.05

#richard
execute at @e[tag=richardStand] as @p[x=1300,y=5,z=-762,dx=5,dy=5,dz=1] at @s run teleport @e[tag=richard] 1299 5 ~ -90 ~
execute at @e[tag=richard] positioned ~ ~0.5 ~ as @a[distance=..1] at @s run playsound entity.player.hurt master @p ~ ~ ~ 1000
execute at @e[tag=richard] positioned ~ ~0.5 ~ as @a[distance=..1] at @s run tellraw @s [{"text":"Richard: ","color":"gold","bold":"true"},{"text":"*shank*","color":"gold","bold":"false"}]
execute as @e[tag=richard] at @s positioned ~ ~0.5 ~ as @a[distance=..1] at @s run teleport 1299 4 -756
execute at @e[tag=richard] at @a[scores={talk=1..999},distance=..5] run scoreboard players reset * talk

#gilbert dialogue/death
tag @a remove mushroom
tag @a[nbt={SelectedItem:{id:"minecraft:brown_mushroom",Count:1b}}] add mushroom
execute at @e[tag=gilbert] as @a[scores={talk=1..999},tag=!mushroom,distance=..5] at @s run tellraw @s [{"text":"Gilbert: ","color":"gold","bold":"true"},{"text":"Don't even try to right click me with a mushroom! I'm deathly allergic to that crap!","color":"gold","bold":"false"}]
execute at @e[tag=gilbert] at @a[scores={talk=1..999},tag=!mushroom,distance=..5] as @a[scores={talk=1..999}] at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[tag=gilbert] at @a[scores={talk=1..999},tag=!mushroom,distance=..5] run scoreboard players reset * talk

execute as @a[scores={mushroom=1..}] run give @s brown_mushroom
execute as @a[scores={mushroom=1..}] run scoreboard objectives remove mushroom

execute at @e[tag=gilbert] at @a[scores={talk=1..999},tag=mushroom,distance=..5] as @e[tag=gilbert] at @s run playsound entity.villager.death master @a ~ ~ ~ 1
execute at @e[tag=gilbert] at @a[scores={talk=1..999},tag=mushroom,distance=..5] run summon area_effect_cloud 1309 4 -738 {Tags:["jump","jump6"],Duration:2147483647,PersistenceRequired:1,NoGravity:1}
execute at @e[tag=gilbert] as @a[scores={talk=1..999},tag=mushroom,distance=..5] at @s run function always:killgilbert

scoreboard players add @e[tag=gilbert] jump 1
execute as @e[scores={jump=40..},tag=gilbert] run data merge entity @s {Motion:[0.0,0.4,0.0]}
execute at @e[scores={jump=40..},tag=gilbert] as @e[tag=gilbert] at @s run playsound entity.slime.jump master @a ~ ~ ~ 0.8
execute as @e[scores={jump=40..},tag=gilbert] run scoreboard players reset @e[tag=gilbert] jump
execute at @e[tag=gilbert] as @a[distance=..1] at @s run tellraw @s [{"text":"Gilbert: ","color":"gold","bold":"true"},{"text":"Hey, get out of my way, punk! I'm trying to earn some Gems!","color":"gold","bold":"false"}]
execute at @e[tag=gilbert] at @a[distance=..1] at @e[tag=gilbert] as @a[distance=..1] at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[tag=gilbert] at @a[distance=..1] as @e[tag=gilbert] at @s as @a[distance=..1] at @s run teleport @s ~ ~ ~-2 0 0

#toby dialogue
execute at @e[scores={extraScene=0},tag=toby] as @a[scores={talk=1..999},distance=..5] at @s run tellraw @s [{"text":"Toby: ","color":"gold","bold":"true"},{"text":"I've gotten passed Richard, but this door has me stumped.","color":"gold","bold":"false"}]
execute at @e[scores={extraScene=0},tag=toby] at @a[scores={talk=1..999},distance=..5] as @a[scores={talk=1..999}] at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={extraScene=0},tag=toby] at @a[scores={talk=1..999},distance=..5] run scoreboard players reset * talk

execute at @e[scores={extraScene=1},tag=toby] as @a[scores={talk=1..999},distance=..5] at @s run tellraw @s [{"text":"Toby: ","color":"gold","bold":"true"},{"text":"Hey, how'd you get that door open? Never mind that, but now how do we get through those lasers??","color":"gold","bold":"false"}]
execute at @e[scores={extraScene=1},tag=toby] at @a[scores={talk=1..999},distance=..5] as @a[scores={talk=1..999}] at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={extraScene=1},tag=toby] at @a[scores={talk=1..999},distance=..5] run scoreboard players reset * talk

execute at @e[scores={extraScene=2},tag=toby] as @a[scores={talk=1..999},distance=..5] at @s run tellraw @s [{"text":"Toby: ","color":"gold","bold":"true"},{"text":"...","color":"gold","bold":"false"}]
execute at @e[scores={extraScene=2},tag=toby] at @a[scores={talk=1..999},distance=..5] as @a[scores={talk=1..999}] at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={extraScene=2},tag=toby] at @a[scores={talk=1..999},distance=..5] run scoreboard players reset * talk

#michael dialogue
execute at @e[scores={extraScene=0},tag=michael] as @a[scores={Gems=0..999,talk=1..999},distance=..5] at @s run tellraw @s [{"text":"Michael: ","color":"gold","bold":"true"},{"text":"Hey, man, wanna know a cool secret? Come back to me with 1,000 Gems and I'll tell you, you don't quite have enough right now though.","color":"gold","bold":"false"}]
execute at @e[scores={extraScene=0},tag=michael] at @a[scores={Gems=0..999,talk=1..999},distance=..5] as @a[scores={talk=1..999}] at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={extraScene=0},tag=michael] at @a[scores={Gems=0..999,talk=1..999},distance=..5] run scoreboard players reset * talk

execute at @e[scores={extraScene=0,timer=0},tag=michael] as @a[scores={Gems=1000..,talk=1..999},distance=..5] at @s run tellraw @s [{"text":"-1,000 Gems","color":"dark_red"}]
execute at @e[scores={extraScene=0,timer=0},tag=michael] as @a[scores={Gems=1000..,talk=1..999},distance=..5] at @s run tellraw @a [{"text":"[1/2] ","color":"gray","bold":"true"},{"text":"Michael: ","color":"gold","bold":"true"},{"text":"Hey, man, thanks for the 1,000 Gems! I'll tell you the cool secret I was talking about earlier now...","color":"gold","bold":"false"}]
execute at @e[scores={extraScene=0,timer=0},tag=michael] at @a[scores={Gems=1000..,talk=1..999},distance=..5] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={extraScene=0,timer=0},tag=michael] at @a[scores={Gems=1000..,talk=1..999},distance=..5] as @e[tag=michael] at @s run teleport @a[scores={playing=1..},distance=5..] @p
execute at @e[scores={extraScene=0,timer=0},tag=michael] as @a[scores={Gems=1000..,talk=1..999},distance=..5] at @s run scoreboard players set @e[tag=michael] timer 1
execute at @e[scores={extraScene=0},tag=michael] at @a[scores={Gems=1000..,talk=1..999},distance=..5] as @e[tag=michael] at @s run scoreboard players remove @p[scores={Gems=1000..,talk=1..999},distance=..5] Gems 1000

execute as @e[scores={time=100},tag=michael] run tellraw @a [{"text":"[2/2] ","color":"gray","bold":"true"},{"text":"Michael: ","color":"gold","bold":"true"},{"text":"Swords can break brown mushrooms! Ha! That's the big secret, dummy! Thanks for the Gems!","color":"gold","bold":"false"}]
execute at @e[scores={time=100},tag=michael] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute as @e[scores={time=100},tag=michael] run scoreboard players set @e[tag=michael] extraScene 1
execute as @e[scores={time=100},tag=michael] at @s run function always:universal

execute at @e[scores={extraScene=1},tag=michael] as @a[scores={talk=1..999},distance=..5] at @s run tellraw @s [{"text":"Michael: ","color":"gold","bold":"true"},{"text":"Yep, all the secret was was that swords can break brown mushrooms. Huehuehue, you just wasted 1,000 Gems for such useless information, sucker!","color":"gold","bold":"false"}]
execute at @e[scores={extraScene=1},tag=michael] at @a[scores={talk=1..999},distance=..5] as @a[scores={talk=1..999}] at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={extraScene=1},tag=michael] at @a[scores={talk=1..999},distance=..5] run scoreboard players reset * talk

#dipper dialogue
execute at @e[scores={scene=16},tag=controller] at @e[scores={extraScene=0},tag=dipper] as @a[scores={talk=1..999},distance=..5] at @s run tellraw @a [{"text":"[1/5] ","color":"gray","bold":"true"},{"text":"Dipper: ","color":"gold","bold":"true"},{"text":"Hu- wha- who are you? Are you new to the prison? Urgh, never mind that.","color":"gold","bold":"false"}]
execute at @e[scores={scene=16},tag=controller] at @e[scores={extraScene=0},tag=dipper] at @a[scores={talk=1..999},distance=..5] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={scene=16},tag=controller] at @e[scores={extraScene=0},tag=dipper] at @a[scores={talk=1..999},distance=..5] as @e[tag=dipper] at @s run teleport @a[scores={playing=1..},distance=5..] @p
execute at @e[scores={scene=16},tag=controller] at @e[scores={extraScene=0},tag=dipper] as @a[scores={talk=1..999},distance=..5] at @s run scoreboard players set @e[tag=dipper] timer 1

execute as @e[scores={time=60},tag=dipper] run tellraw @a [{"text":"[2/5] ","color":"gray","bold":"true"},{"text":"Dipper: ","color":"gold","bold":"true"},{"text":"Wanna make some extra Gems, fella? Well, you're in luck because I have a special task for you to do.","color":"gold","bold":"false"}]
execute at @e[scores={time=60},tag=dipper] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000

execute as @e[scores={time=190},tag=dipper] run tellraw @a [{"text":"[3/5] ","color":"gray","bold":"true"},{"text":"Dipper: ","color":"gold","bold":"true"},{"text":"There's this guy, Richard, in one of the cell's walls. He's such a jerk! He won't let anyone by to see what's behind him.","color":"gold","bold":"false"}]
execute at @e[scores={time=190},tag=dipper] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000

execute as @e[scores={time=340},tag=dipper] run tellraw @a [{"text":"[4/5] ","color":"gray","bold":"true"},{"text":"Dipper: ","color":"gold","bold":"true"},{"text":"Anyways, I don't want to get into all of the drama, your task is to get rid of him. That's right, kill Richard and I'll pay you handsomely.","color":"gold","bold":"false"}]
execute at @e[scores={time=340},tag=dipper] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000

execute as @e[scores={time=520},tag=dipper] run tellraw @a [{"text":"[5/5] ","color":"gray","bold":"true"},{"text":"Dipper: ","color":"gold","bold":"true"},{"text":"Return to me when the job is done, fella, and I guarantee you that you'll get your reward.","color":"gold","bold":"false"}]
execute at @e[scores={time=520},tag=dipper] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute as @e[scores={time=520},tag=dipper] as @e[tag=richard] run data merge entity @s {Invulnerable:0}
execute as @e[scores={time=520},tag=dipper] run scoreboard players set @e[tag=dipper] extraScene 1
execute as @e[scores={time=520},tag=dipper] run scoreboard players add @e[tag=dipper] killRichard 0
execute as @e[scores={time=520},tag=dipper] run team leave @e[tag=richard]
execute as @e[scores={time=520},tag=dipper] at @s run function always:universal

execute as @a[scores={killRichard=1..}] run scoreboard players set @e[tag=dipper] killRichard 1
execute at @a[scores={killRichard=1..}] as @a at @s run playsound entity.villager.death master @p ~ ~ ~ 1000
execute as @a[scores={killRichard=1..}] run scoreboard players reset @a killRichard

execute at @e[scores={extraScene=1,killRichard=0},tag=dipper] as @a[scores={talk=1..999},distance=..5] at @s run tellraw @s [{"text":"Dipper: ","color":"gold","bold":"true"},{"text":"Remember, if you want your reward then come back to me when you've put an end to Richard.","color":"gold","bold":"false"}]
execute at @e[scores={extraScene=1,killRichard=0},tag=dipper] at @a[scores={talk=1..999},distance=..5] as @a[scores={talk=1..999}] at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={extraScene=1,killRichard=0},tag=dipper] at @a[scores={talk=1..999},distance=..5] run scoreboard players reset * talk

execute at @e[scores={extraScene=1,killRichard=1..},tag=dipper] as @a[scores={talk=1..999},distance=..5] at @s run tellraw @a [{"text":"Dipper: ","color":"gold","bold":"true"},{"text":"The job is done? Thanks fella! Here's your Gems.","color":"gold","bold":"false"}]
execute at @e[scores={extraScene=1,killRichard=1..},tag=dipper] as @a[scores={talk=1..999},distance=..5] at @s run tellraw @a [{"text":"+200 Gems","color":"green"}]
execute at @e[scores={extraScene=1,killRichard=1..},tag=dipper] as @a[scores={talk=1..999},distance=..5] at @s run scoreboard players add @a[scores={playing=1..}] Gems 200
execute at @e[scores={extraScene=1,killRichard=1..},tag=dipper] at @a[scores={talk=1..999},distance=..5] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={extraScene=1,killRichard=1..},tag=dipper] as @a[scores={talk=1..999},distance=..5] at @s run function always:richardreward

execute at @e[scores={extraScene=2},tag=dipper] as @a[scores={talk=1..999},distance=..5] at @s run tellraw @s [{"text":"Dipper: ","color":"gold","bold":"true"},{"text":"Pleasure doing business with you, fella.","color":"gold","bold":"false"}]
execute at @e[scores={extraScene=2},tag=dipper] at @a[scores={talk=1..999},distance=..5] as @a[scores={talk=1..999}] at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={extraScene=2},tag=dipper] at @a[scores={talk=1..999},distance=..5] run scoreboard players reset * talk
