#set barriers
execute at @e[tag=spectate1] run setblock ~ ~-1 ~ barrier
execute at @e[tag=spectate2] run setblock ~ ~-1 ~ barrier
execute at @e[tag=spectate3] run setblock ~ ~-1 ~ barrier
execute at @e[tag=spectate4] run setblock ~ ~-1 ~ barrier
execute at @e[tag=spectate5] run setblock ~ ~-1 ~ barrier

#tp prisoners out of chunk range
execute as @e[scores={boss=9..},tag=controller] run teleport @e[tag=michael] 1309 4 -746
execute as @e[scores={boss=9..},tag=controller] run teleport @e[tag=dipper] 1307 4 -740
execute as @e[scores={boss=9..},tag=controller] run teleport @e[tag=toby] 1313 4 -742
execute as @e[scores={boss=9..},tag=controller] run teleport @e[tag=ethan] 1305 4 -743

#destroy cave, yes or no?
execute as @e[scores={cave=1},tag=controller] run tellraw @a [{"text":"Wizard: ","color":"dark_purple","bold":"true"},{"text":"Good choice. If I go, the cave must go too...","color":"dark_purple","bold":"false"}]
execute at @e[scores={cave=1},tag=controller] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000

execute as @e[scores={cave=2},tag=controller] run tellraw @a [{"text":"Wizard: ","color":"dark_purple","bold":"true"},{"text":"Interesting choice... it's too bad that both buttons lead to the same conclusion...","color":"dark_purple","bold":"false"}]
execute at @e[scores={cave=2},tag=controller] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000

execute as @e[scores={cave=1..},tag=controller] run scoreboard players set @e[tag=controller] timer 1
execute as @e[scores={cave=1..},tag=controller] run scoreboard players set @e[tag=controller] boss 9
execute as @e[scores={cave=1..},tag=controller] run fill 1171 16 -881 1171 16 -883 air destroy
execute as @e[scores={cave=1..},tag=controller] run team modify game seeFriendlyInvisibles false
execute as @e[scores={cave=1..},tag=controller] run scoreboard players reset * cave

execute as @e[scores={boss=9..,time=200..},tag=controller] run effect give @a[scores={playing=1..}] invisibility 99999 255 true

#spectate1
execute as @e[scores={boss=9..,time=200..},tag=controller] run clear @a[scores={playing=1..}] wooden_hoe
execute as @e[scores={boss=9..,time=200},tag=controller] run execute at @e[tag=spectate1] run setblock ~ ~-1 ~ barrier
execute as @e[scores={boss=9..,time=200},tag=controller] run execute at @e[tag=spectate2] run setblock ~ ~-1 ~ barrier
execute as @e[scores={boss=9..,time=200},tag=controller] run execute at @e[tag=spectate3] run setblock ~ ~-1 ~ barrier
execute as @e[scores={boss=9..,time=200},tag=controller] run execute at @e[tag=spectate4] run setblock ~ ~-1 ~ barrier
execute as @e[scores={boss=9..,time=200},tag=controller] run execute at @e[tag=spectate5] run setblock ~ ~-1 ~ barrier

execute as @e[scores={boss=9..,time=200},tag=controller] run scoreboard players reset @a[scores={playing=1..}] music

execute at @e[scores={boss=9..,time=200},tag=controller] at @e[tag=spectate1] run setblock ~ ~-1 ~ barrier
execute at @e[scores={boss=9..,time=200..500},tag=controller] as @e[tag=spectate1] at @s run teleport @e[tag=p1] ~ ~ ~ -180 35
execute at @e[scores={boss=9..,time=200..500},tag=controller] as @e[tag=spectate1] at @s run teleport @e[tag=p2] ~ ~ ~ -180 35
execute at @e[scores={boss=9..,time=200..500},tag=controller] as @e[tag=spectate1] at @s run teleport @a[scores={playing=1..}] ~ ~ ~ -180 35
execute as @e[scores={boss=9..,time=300},tag=controller] run tellraw @a [{"text":"Cook: ","color":"light_purple","bold":"true"},{"text":"Oh no... what's happened...?","color":"light_purple","bold":"false"}]
execute at @e[scores={boss=9..,time=300},tag=controller] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute as @e[scores={boss=9..,time=400},tag=controller] run tellraw @a [{"text":"Train Conductor: ","color":"blue","bold":"true"},{"text":"...","color":"blue","bold":"false"}]
execute at @e[scores={boss=9..,time=400},tag=controller] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={boss=9..,time=200..500},tag=controller] at @e[limit=1,sort=random,scores={time=20},tag=specExplode] run particle explosion ~ ~ ~ 1.5 0.5 1.5 0 20
execute at @e[scores={boss=9..,time=200..500},tag=controller] at @e[limit=1,sort=random,scores={time=20},tag=specExplode] as @a at @s run playsound entity.generic.explode master @p ~ ~ ~ 1000
execute as @e[scores={boss=9..,time=200..500},tag=controller] as @e[limit=1,sort=random,scores={time=20},tag=specExplode] run scoreboard players reset @e[tag=specExplode] time

#spectate2
execute at @e[scores={boss=9..,time=501},tag=controller] at @e[tag=spectate2] run setblock ~ ~-1 ~ barrier
execute at @e[scores={boss=9..,time=501..800},tag=controller] as @e[tag=spectate2] at @s run teleport @e[tag=p1] ~ ~ ~ 37 17
execute at @e[scores={boss=9..,time=501..800},tag=controller] as @e[tag=spectate2] at @s run teleport @e[tag=p2] ~ ~ ~ 37 17
execute at @e[scores={boss=9..,time=501..800},tag=controller] as @e[tag=spectate2] at @s run teleport @a[scores={playing=1..}] ~ ~ ~ 37 17
execute as @e[scores={boss=9..,time=550},tag=controller] run tellraw @a [{"text":"Barry: ","color":"blue","bold":"true"},{"text":"Yo, what's going on?","color":"blue","bold":"false"}]
execute at @e[scores={boss=9..,time=550},tag=controller] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute as @e[scores={boss=9..,time=650},tag=controller] run tellraw @a [{"text":"Hazel: ","color":"blue","bold":"true"},{"text":"I think the cave is collapsing.","color":"blue","bold":"false"}]
execute at @e[scores={boss=9..,time=650},tag=controller] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={boss=9..,time=501..800},tag=controller] at @e[limit=1,sort=random,scores={time=20},tag=specExplode2] run particle explosion ~ ~ ~ 1.5 0.5 1.5 0 20
execute at @e[scores={boss=9..,time=501..800},tag=controller] at @e[limit=1,sort=random,scores={time=20},tag=specExplode2] as @a at @s run playsound entity.generic.explode master @p ~ ~ ~ 1000
execute as @e[scores={boss=9..,time=501..800},tag=controller] as @e[limit=1,sort=random,scores={time=20},tag=specExplode2] run scoreboard players reset @e[tag=specExplode2] time

#spectate3
execute at @e[scores={boss=9..,time=801},tag=controller] at @e[tag=spectate3] run setblock ~ ~-1 ~ barrier
execute at @e[scores={boss=9..,time=801..1100},tag=controller] as @e[tag=spectate3] at @s run teleport @e[tag=p1] ~ ~ ~ 51 20
execute at @e[scores={boss=9..,time=801..1100},tag=controller] as @e[tag=spectate3] at @s run teleport @e[tag=p2] ~ ~ ~ 51 20
execute at @e[scores={boss=9..,time=801..1100},tag=controller] as @e[tag=spectate3] at @s run teleport @a[scores={playing=1..}] ~ ~ ~ 51 20
execute as @e[scores={boss=9..,time=850},tag=controller] run tellraw @a [{"text":"Nubby: ","color":"white","bold":"true"},{"text":"Hay.....","color":"white","bold":"false"}]
execute at @e[scores={boss=9..,time=850},tag=controller] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute as @e[scores={boss=9..,time=950},tag=controller] run tellraw @a [{"text":"Nubby: ","color":"white","bold":"true"},{"text":"...I Nubby...","color":"white","bold":"false"}]
execute at @e[scores={boss=9..,time=950},tag=controller] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={boss=9..,time=801..1100},tag=controller] at @e[limit=1,sort=random,scores={time=20},tag=specExplode3] run particle explosion ~ ~ ~ 1.5 0.5 1.5 0 20
execute at @e[scores={boss=9..,time=801..1100},tag=controller] at @e[limit=1,sort=random,scores={time=20},tag=specExplode3] as @a at @s run playsound entity.generic.explode master @p ~ ~ ~ 1000
execute as @e[scores={boss=9..,time=801..1100},tag=controller] as @e[limit=1,sort=random,scores={time=20},tag=specExplode3] run scoreboard players reset @e[tag=specExplode3] time

#spectate4
execute at @e[scores={boss=9..,time=1101},tag=controller] at @e[tag=spectate4] run setblock ~ ~-1 ~ barrier
execute at @e[scores={boss=9..,time=1101..1400},tag=controller] as @e[tag=spectate4] at @s run teleport @e[tag=p1] ~ ~ ~ -35 18
execute at @e[scores={boss=9..,time=1101..1400},tag=controller] as @e[tag=spectate4] at @s run teleport @e[tag=p2] ~ ~ ~ -35 18
execute at @e[scores={boss=9..,time=1101..1400},tag=controller] as @e[tag=spectate4] at @s run teleport @a[scores={playing=1..}] ~ ~ ~ -35 18
execute as @e[scores={boss=9..,time=1150},tag=controller] run tellraw @a [{"text":"Dipper: ","color":"gold","bold":"true"},{"text":"Oh no... it's finally happened...","color":"gold","bold":"false"}]
execute at @e[scores={boss=9..,time=1150},tag=controller] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute as @e[scores={boss=9..,time=1250},tag=controller] run tellraw @a [{"text":"Toby: ","color":"gold","bold":"true"},{"text":"Looks like it...","color":"gold","bold":"false"}]
execute at @e[scores={boss=9..,time=1250},tag=controller] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={boss=9..,time=1101..1400},tag=controller] at @e[limit=1,sort=random,scores={time=20},tag=specExplode4] run particle explosion ~ ~ ~ 1.5 0.5 1.5 0 20
execute at @e[scores={boss=9..,time=1101..1400},tag=controller] at @e[limit=1,sort=random,scores={time=20},tag=specExplode4] as @a at @s run playsound entity.generic.explode master @p ~ ~ ~ 1000
execute as @e[scores={boss=9..,time=1101..1400},tag=controller] as @e[limit=1,sort=random,scores={time=20},tag=specExplode4] run scoreboard players reset @e[tag=specExplode4] time

#spectate5
execute at @e[scores={boss=9..,time=1401},tag=controller] at @e[tag=spectate5] run setblock ~ ~-1 ~ barrier
execute at @e[scores={boss=9..,time=1401..1600},tag=controller] as @e[tag=spectate5] at @s run teleport @e[tag=p1] ~ ~ ~ 90 15
execute at @e[scores={boss=9..,time=1401..1600},tag=controller] as @e[tag=spectate5] at @s run teleport @e[tag=p2] ~ ~ ~ 90 15
execute at @e[scores={boss=9..,time=1401..1600},tag=controller] as @e[tag=spectate5] at @s run teleport @a[scores={playing=1..}] ~ ~ ~ 90 15
execute as @e[scores={boss=9..,time=1500},tag=controller] run tellraw @a [{"text":"Wizard: ","color":"dark_purple","bold":"true"},{"text":"...","color":"dark_purple","bold":"false"}]
execute at @e[scores={boss=9..,time=1500},tag=controller] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={boss=9..,time=1401..1600},tag=controller] at @e[limit=1,sort=random,scores={time=20},tag=specExplode5] run particle explosion ~ ~ ~ 1.5 0.5 1.5 0 20
execute at @e[scores={boss=9..,time=1401..1600},tag=controller] at @e[limit=1,sort=random,scores={time=20},tag=specExplode5] as @a at @s run playsound entity.generic.explode master @p ~ ~ ~ 1000
execute as @e[scores={boss=9..,time=1401..1600},tag=controller] as @e[limit=1,sort=random,scores={time=20},tag=specExplode5] run scoreboard players reset @e[tag=specExplode5] time

execute as @e[scores={boss=9..,time=1600..},tag=controller] run scoreboard players reset @a[scores={playing=1..}] music
execute as @e[scores={boss=9..,time=1600..},tag=controller] at @s run function always:creditstransition
execute as @e[scores={boss=9..,scene=17..,time=1599..},tag=controller] run kill @e[tag=bossBattle]

#outro
execute as @e[scores={scene=18..},tag=controller] run effect give @a[scores={playing=1..}] invisibility 99999 255 true

execute as @e[scores={scene=18..,time=0..350},tag=controller] run teleport @e[tag=p1] 1167 38 -781
execute as @e[scores={scene=18..,time=0..350},tag=controller] run teleport @e[tag=p2] 1165 38 -781
execute as @e[scores={scene=18..,time=0..350},tag=controller] run teleport @a[scores={playing=1}] 1167 38 -781
execute as @e[scores={scene=18..,time=0..350},tag=controller] run teleport @a[scores={playing=2}] 1165 38 -781
execute at @e[scores={scene=18..,time=50..70},tag=controller] as @a at @s run playsound entity.generic.explode master @p ~ ~ ~ 1000
execute at @e[scores={scene=18..,time=50..70},tag=controller] at @a[scores={playing=1..}] run particle explosion ~ ~ ~ 1.5 0.5 1.5 0 20

execute at @e[scores={scene=18..,time=200},tag=controller] as @a at @s run playsound effects.chapterintro master @p ~ ~ ~ 1000
execute as @e[scores={scene=18..,time=200},tag=controller] run title @a title [{"text":"The Cave","color":"dark_gray","bold":"true","italic":"true"}]
execute as @e[scores={scene=18..,time=200},tag=controller] run title @a times 20 100 20

#credits
execute as @e[scores={scene=18..,time=351..},tag=controller] run teleport @e[tag=p1] 1168 9 -761 -136 14
execute as @e[scores={scene=18..,time=351..},tag=controller] run teleport @e[tag=p2] 1168 9 -761 -136 14
execute as @e[scores={scene=18..,time=351..},tag=controller] run teleport @a[scores={playing=1..}] 1168 9 -761 -136 14

execute as @e[scores={scene=18..,time=351},tag=controller] run title @a title [{"text":"The End","color":"dark_gray"}]
execute as @e[scores={scene=18..,time=351},tag=controller] run title @a times 0 200 0
execute at @e[scores={scene=18..,time=351},tag=controller] as @a at @s run playsound entity.lightning_bolt.thunder master @p ~ ~ ~ 1000

execute as @e[scores={scene=18..,time=552},tag=controller] run title @a title [{"text":"Created by","color":"gold"}]
execute as @e[scores={scene=18..,time=552},tag=controller] run title @a subtitle [{"text":"LetzTaco","color":"yellow"}]
execute as @e[scores={scene=18..,time=552},tag=controller] run title @a times 0 200 0
execute at @e[scores={scene=18..,time=552},tag=controller] as @a at @s run playsound entity.experience_orb.pickup master @p ~ ~ ~ 1000

execute as @e[scores={scene=18..,time=753},tag=controller] run title @a title [{"text":"Youtube","color":"dark_red"}]
execute as @e[scores={scene=18..,time=753},tag=controller] run title @a subtitle [{"text":"LetzTaco","color":"white"}]
execute as @e[scores={scene=18..,time=753},tag=controller] run title @a times 0 200 0
execute at @e[scores={scene=18..,time=753},tag=controller] as @a at @s run playsound entity.experience_orb.pickup master @p ~ ~ ~ 1000

execute as @e[scores={scene=18..,time=954},tag=controller] run title @a title [{"text":"Resources by","color":"dark_green"}]
execute as @e[scores={scene=18..,time=954},tag=controller] run title @a subtitle [{"text":"EliMe5","color":"green"}]
execute as @e[scores={scene=18..,time=954},tag=controller] run title @a times 0 200 0
execute at @e[scores={scene=18..,time=954},tag=controller] as @a at @s run playsound entity.experience_orb.pickup master @p ~ ~ ~ 1000

execute as @e[scores={scene=18..,time=1155},tag=controller] run title @a title [{"text":"Music by","color":"dark_blue"}]
execute as @e[scores={scene=18..,time=1155},tag=controller] run title @a subtitle [{"text":"Craftmazter2000","color":"blue"}]
execute as @e[scores={scene=18..,time=1155},tag=controller] run title @a times 0 200 0
execute at @e[scores={scene=18..,time=1155},tag=controller] as @a at @s run playsound entity.experience_orb.pickup master @p ~ ~ ~ 1000

execute as @e[scores={scene=18..,time=1356..},tag=controller] run title @a title [{"text":"Thanks For Playing","color":"dark_gray"}]
execute as @e[scores={scene=18..,time=1356..},tag=controller] run title @a subtitle [{"text":"The Cave","color":"gray"}]
execute at @e[scores={scene=18..,time=1356},tag=controller] as @a at @s run playsound entity.experience_orb.pickup master @p ~ ~ ~ 1000
