#reset spawnpoint
spawnpoint @a[scores={playing=1..}] 1174 5 -784

#start
execute as @e[scores={start=1},tag=controller] run scoreboard players set @e[tag=controller] scene 1
execute as @e[scores={start=1},tag=controller] at @e[tag=start] run scoreboard players set @p[scores={playing=0}] playing 1
execute as @e[scores={start=1},tag=controller] at @e[tag=start] run scoreboard players set @p[scores={playing=0}] playing 2
execute as @e[scores={start=1},tag=controller] run teleport @a[scores={playing=1}] 1167 38 -781
execute as @e[scores={start=1},tag=controller] run teleport @a[scores={playing=2}] 1165 38 -781
execute as @e[scores={start=1},tag=controller] run replaceitem entity @a[scores={playing=1..}] armor.head wooden_hoe{Unbreakable:1,Enchantments:[{id:binding_curse,lvl:1}],HideFlags:7,display:{Name:"{\"text\":\"Miner's Hat\",\"italic\":\"false\",\"color\":\"white\"}"},Damage:5} 1
execute as @e[scores={start=1},tag=controller] run scoreboard players set @e[tag=controller] timer 1
execute at @e[scores={start=1},tag=controller] as @a at @s run playsound entity.minecart.inside master @p ~ ~ ~ 1000
execute as @e[scores={start=1},tag=controller] run scoreboard objectives remove start

execute at @e[scores={scene=1,time=105},tag=controller] as @a at @s run playsound entity.minecart.inside master @p ~ ~ ~ 1000

execute at @e[scores={scene=1,time=210},tag=controller] as @a at @s run playsound entity.minecart.inside master @p ~ ~ ~ 1000

execute as @e[scores={scene=1,time=315},tag=controller] run teleport @a[scores={playing=1}] 1174 27 -784
execute as @e[scores={scene=1,time=315},tag=controller] run teleport @a[scores={playing=2}] 1184 29 -784
execute as @e[scores={scene=1,time=315},tag=controller] run title @a title [{"text":"Chapter 1","color":"dark_gray"}]
execute as @e[scores={scene=1,time=315},tag=controller] run title @a subtitle [{"text":"The Unknown","color":"gray"}]
execute as @e[scores={scene=1,time=315},tag=controller] run title @a times 20 100 20
execute at @e[scores={scene=1,time=315},tag=controller] as @a at @s run playsound effects.chapterintro master @p ~ ~ ~ 1000
execute as @e[scores={scene=1,time=315},tag=controller] run scoreboard players reset * music
execute as @e[scores={scene=1,time=315},tag=controller] run spawnpoint @a[scores={playing=1..}] 1174 5 -784
execute as @e[scores={scene=1,time=315},tag=controller] at @s run function always:universal

#sound puzzle
execute if entity @e[scores={soundPuzzle=6},tag=controller] run function always:soundpuzzle

#tune puzzle complete
execute at @e[scores={tunePuzzle=20},tag=controller] as @a at @s run playsound entity.experience_orb.pickup master @p ~ ~ ~ 1000
execute as @e[scores={tunePuzzle=20},tag=controller] run tellraw @a [{"text":"THE BOUNCY MACHINE HAS BEEN UPGRADED.","color":"green"}]
execute as @e[scores={tunePuzzle=20},tag=controller] run teleport @e[tag=conductor] 1170 4 -765
execute as @e[scores={tunePuzzle=20},tag=controller] run scoreboard players set @e[tag=controller] scene 4
execute as @e[scores={tunePuzzle=20},tag=controller] run scoreboard players set @e[tag=controller] tunePuzzle 21

#pig
execute at @e[tag=pig] if block ~ ~-1 ~ pink_concrete run setblock 1190 4 -765 pink_concrete
execute as @e[tag=pig] at @s if block ~ ~-1 ~ pink_concrete as @e[tag=pig] run data merge entity @s {Saddle:0b}
execute as @e[tag=pig] at @s if block ~ ~-1 ~ pink_concrete run clear @a carrot_on_a_stick
execute at @e[tag=pig] if block ~ ~-1 ~ pink_concrete run setblock 1184 4 -764 pink_concrete
execute at @e[tag=pig] if block ~ ~-1 ~ pink_concrete as @a at @s run playsound entity.player.levelup master @p ~ ~ ~ 1000
execute as @e[tag=pig] at @s if block ~ ~-1 ~ pink_concrete run kill @e[type=pig]

#carrot on a stick
execute at @e[scores={carrot=10..},tag=controller] as @p[x=1181,y=8,z=-803,scores={playing=1..}] at @s run give @s carrot_on_a_stick
execute at @e[scores={carrot=10..},tag=controller] as @p[x=1181,y=8,z=-803,scores={playing=1..}] at @s run tellraw @a [{"text":"","extra":[{"selector":"@p[x=1181,y=8,z=-803]"}]},{"text":" has received a Carrot On A Stick","color":"green","bold":"true"}]
execute at @e[scores={carrot=10..},tag=controller] as @a at @s run playsound entity.player.levelup master @p ~ ~ ~ 1000
execute as @e[scores={carrot=10..},tag=controller] run scoreboard objectives remove carrot

#open gate
execute as @a[scores={placeGateWhite=1..}] run scoreboard players add @e[tag=controller] placeGate 1
execute as @a[scores={placeGateBlack=1..}] run scoreboard players add @e[tag=controller] placeGate 1
execute as @a[scores={placeGateWhite=1..}] run scoreboard players reset @a placeGateWhite
execute as @a[scores={placeGateBlack=1..}] run scoreboard players reset @a placeGateBlack
execute as @e[scores={placeGate=2..},tag=controller] run scoreboard players set @e[tag=controller] scene 5
execute as @e[scores={placeGate=2..},tag=controller] run scoreboard players set @e[tag=controller] timer 1
execute as @e[scores={placeGate=2..},tag=controller] run scoreboard objectives remove placeGate
execute at @e[scores={scene=5,time=10},tag=controller] as @a at @s run playsound block.piston.extend master @p ~ ~ ~ 1000
execute as @e[scores={scene=5,time=10},tag=controller] run fill 1174 10 -757 1177 10 -757 air
execute at @e[scores={scene=5,time=40},tag=controller] as @a at @s run playsound block.piston.extend master @p ~ ~ ~ 1000
execute as @e[scores={scene=5,time=40},tag=controller] run fill 1174 9 -757 1177 9 -757 air
execute at @e[scores={scene=5,time=70},tag=controller] as @a at @s run playsound block.piston.extend master @p ~ ~ ~ 1000
execute as @e[scores={scene=5,time=70},tag=controller] run fill 1174 8 -757 1177 8 -757 air
execute at @e[scores={scene=5,time=100},tag=controller] as @a at @s run playsound block.piston.extend master @p ~ ~ ~ 1000
execute as @e[scores={scene=5,time=100},tag=controller] run fill 1174 7 -757 1177 7 -757 air
execute at @e[scores={scene=5,time=130},tag=controller] as @a at @s run playsound block.piston.extend master @p ~ ~ ~ 1000
execute as @e[scores={scene=5,time=130},tag=controller] run fill 1174 6 -757 1177 6 -757 air
execute at @e[scores={scene=5,time=160},tag=controller] as @a at @s run playsound block.piston.extend master @p ~ ~ ~ 1000
execute as @e[scores={scene=5,time=160},tag=controller] run fill 1174 5 -757 1177 5 -757 air
execute at @e[scores={scene=5,time=170},tag=controller] as @a at @s run playsound effects.chapterintro master @p ~ ~ ~ 1000
execute as @e[scores={scene=5,time=170},tag=controller] run title @a title [{"text":"Chapter 2","color":"dark_blue"}]
execute as @e[scores={scene=5,time=170},tag=controller] run title @a subtitle [{"text":"A Step Forward","color":"blue"}]
execute as @e[scores={scene=5,time=170},tag=controller] run title @a times 20 100 20
execute as @e[scores={scene=5,time=170},tag=controller] run scoreboard players set @e[tag=controller] addScene 1
execute as @e[scores={scene=5,time=170},tag=controller] at @s run function always:universal

#cook black block
execute at @e[scores={extraScene=0,scene=3..4},tag=controller] at @e[tag=cook] as @a[scores={talk=1..999},distance=..5] at @s run tellraw @a [{"text":"[1/4] ","color":"gray","bold":"true"},{"text":"Cook: ","color":"light_purple","bold":"true"},{"text":"Darling, why am I here, in this cage?","color":"light_purple","bold":"false"}]
execute at @e[scores={extraScene=0,scene=3..4},tag=controller] at @e[tag=cook] at @a[scores={talk=1..999},distance=..5] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={extraScene=0,scene=3..4},tag=controller] at @e[tag=cook] as @a[scores={talk=1..999},distance=..5] at @s run scoreboard players reset @e[tag=controller] time
execute at @e[scores={extraScene=0,scene=3..4},tag=controller] at @e[tag=cook] as @a[scores={talk=1..999},distance=..5] at @s run scoreboard players set @e[tag=controller] timer 1
execute at @e[scores={extraScene=0,scene=3..4},tag=controller] at @e[tag=cook] at @a[scores={talk=1..999},distance=..5] as @e[tag=cook] at @s run teleport @a[scores={playing=1..},distance=5..] @p

execute as @e[scores={extraScene=0,scene=3..4,time=40},tag=controller] run tellraw @a [{"text":"[2/4] ","color":"gray","bold":"true"},{"text":"Cook: ","color":"light_purple","bold":"true"},{"text":"Huh? You're saying you nor the conductor know why you're here either?","color":"light_purple","bold":"false"}]
execute at @e[scores={extraScene=0,scene=3..4,time=40},tag=controller] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000

execute as @e[scores={extraScene=0,scene=3..4,time=120},tag=controller] run tellraw @a [{"text":"[3/4] ","color":"gray","bold":"true"},{"text":"Cook: ","color":"light_purple","bold":"true"},{"text":"Well, I found this odd block just sitting in my cell, I hope it helps you with finding a way to free me, darling.","color":"light_purple","bold":"false"}]
execute at @e[scores={extraScene=0,scene=3..4,time=120},tag=controller] as @a at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000

execute as @e[scores={extraScene=0,scene=3..4,time=300},tag=controller] as @e[tag=cook] run tellraw @a [{"text":"[4/4] ","color":"gray","bold":"true"},{"text":"","color":"white","bold":"false","extra":[{"selector":"@p[scores={playing=1..}]"}]},{"text":" has received the Black Block Key","color":"green","bold":"true"}]
execute at @e[scores={extraScene=0,scene=3..4,time=300},tag=controller] at @e[tag=cook] as @a at @s run playsound entity.player.levelup master @p ~ ~ ~ 1000
execute as @e[scores={extraScene=0,scene=3..4,time=300},tag=controller] as @e[tag=cook] as @e[tag=cook] run give @p[scores={playing=1..}] black_wool{display:{Name:"{\"text\":\"Black Block Key\",\"italic\":\"false\"}"},CanPlaceOn:["jungle_fence"],HideFlags:16}
execute as @e[scores={extraScene=0,scene=3..4,time=300},tag=controller] as @e[tag=cook] run scoreboard players set @e[tag=controller] extraScene 1
execute at @e[scores={extraScene=1,scene=3..4,time=300},tag=controller] as @e[tag=cook] at @s run function always:universal

#conductor solos
execute at @e[scores={scene=0..2},tag=controller] at @e[tag=conductor] as @a[scores={talk=1..999},distance=..5] at @s run tellraw @s [{"text":"Train Conductor: ","color":"blue","bold":"true"},{"text":"Where am I? Who am I?","color":"blue","bold":"false"}]
execute at @e[scores={scene=0..2},tag=controller] at @e[tag=conductor] at @a[scores={talk=1..999},distance=..5] as @a[scores={talk=1..999}] at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={scene=0..2},tag=controller] at @e[tag=conductor] at @a[scores={talk=1..999},distance=..5] run scoreboard players reset * talk

execute at @e[scores={scene=3},tag=controller] at @e[tag=conductor] as @a[scores={talk=1..999},distance=..5] at @s run tellraw @s [{"text":"Train Conductor: ","color":"blue","bold":"true"},{"text":"There appears to be some sort of cook in the cell next to mine.","color":"blue","bold":"false"}]
execute at @e[scores={scene=3},tag=controller] at @e[tag=conductor] at @a[scores={talk=1..999},distance=..5] as @a[scores={talk=1..999}] at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={scene=3},tag=controller] at @e[tag=conductor] at @a[scores={talk=1..999},distance=..5] run scoreboard players reset * talk

execute at @e[scores={scene=4..5},tag=controller] at @e[tag=conductor] as @a[scores={talk=1..999},distance=..5] at @s run tellraw @s [{"text":"Train Conductor: ","color":"blue","bold":"true"},{"text":"That sign right over there seems to be pointing upwards, but why?","color":"blue","bold":"false"}]
execute at @e[scores={scene=4..5},tag=controller] at @e[tag=conductor] at @a[scores={talk=1..999},distance=..5] as @a[scores={talk=1..999}] at @s run playsound entity.chicken.egg master @p ~ ~ ~ 1000
execute at @e[scores={scene=4..5},tag=controller] at @e[tag=conductor] at @a[scores={talk=1..999},distance=..5] run scoreboard players reset * talk
